GoDoxy

Rule Playground

POST
/route/playground

Test rules against mock request/response

Request Body

Playground request

application/json
  1. body
mockRequest?
mockResponse?
rules*string

Response Body

OK

application/json
  1. response
executionError?unknown

we need the structured error, not the plain string

finalRequest?
finalResponse?
matchedRules?array<string>
parsedRules?array<>
upstreamCalled?boolean
Example Request
curl -X POST 'https://example.com/api/v1/route/playground' \  -H 'Content-Type: application/json' \  -d '{  "rules": "string"}'
Example Response
{  "executionError": null,  "finalRequest": {    "body": "string",    "headers": {      "property1": [        "string"      ],      "property2": [        "string"      ]    },    "host": "string",    "method": "string",    "path": "string",    "query": {      "property1": [        "string"      ],      "property2": [        "string"      ]    }  },  "finalResponse": {    "body": "string",    "headers": {      "property1": [        "string"      ],      "property2": [        "string"      ]    },    "statusCode": 0  },  "matchedRules": [    "string"  ],  "parsedRules": [    {      "do": "string",      "name": "string",      "on": "string",      "validationError": null    }  ],  "upstreamCalled": true}